package com.ruoyi.common.validRule.contentArea;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

@Documented
@Target(ElementType.TYPE) // 注解作用在类上（跨字段校验）
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = ContentTypeAreaValidator.class) // 指定校验器
public @interface ContentTypeAreaCheck {

    String message() default "协议运营区不能为空";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

    // 以下为自定义属性：指定字段名和条件值
    String contentTypeField() default "contentType"; // contentType 字段名
    int contentTypeValue() default 2;               // 触发校验的 contentType 值（当为2时校验areaId）
    String areaIdField() default "areaId";           // areaId 字段名
}

